Package com.xebialabs.xlrelease.variable

# Class VariablesGraphResolver.Var<A,V extends Variable>

java.lang.Object
com.xebialabs.xlrelease.variable.VariablesGraphResolver.Var<A,V>

All Implemented Interfaces:
  `Serializable`, `scala.Equals`, `scala.Product`

Enclosing class:
  `VariablesGraphResolver`

public static class VariablesGraphResolver.Var<A,V extends Variable> extends Object implements scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Var(A value, V variable, boolean resolved)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canEqual(Object x$1)`
  `<A, V extends Variable>
  VariablesGraphResolver.Var<A,V>`
  `copy(A value, V variable, boolean resolved)`
  `<A, V extends Variable>
  A`
  `copy$default$1()`
  `<A, V extends Variable>
  V`
  `copy$default$2()`
  `<A, V extends Variable>
  boolean`
  `copy$default$3()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `boolean`
  `resolved()`
  `String`
  `toString()`
  `A`
  `value()`
  `V`
  `variable()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### Var

    public Var(A value, V variable, boolean resolved)

- ## Method Details

  - ### value

    public A value()

  - ### variable

    public V variable()

  - ### resolved

    public boolean resolved()

  - ### copy

    public <A, V extends Variable> VariablesGraphResolver.Var<A,V> copy(A value, V variable, boolean resolved)

  - ### copy$default$1

    public <A, V extends Variable> A copy$default$1()

  - ### copy$default$2

    public <A, V extends Variable> V copy$default$2()

  - ### copy$default$3

    public <A, V extends Variable> boolean copy$default$3()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`